Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.bundling
[Java] Class AbstractArchiveTask

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.AbstractCopyTask
              org.gradle.api.tasks.bundling.AbstractArchiveTask

    public abstract class AbstractArchiveTask
    extends AbstractCopyTask

`AbstractArchiveTask` is the base class for all archive tasks.

Authors:
  Hans Dockter

Method Summary
`String` | `getAppendix()` Returns the appendix part of the archive name, if any.
`String` | `getArchiveName()` Returns the archive name.
`File` | `getArchivePath()` The path where the archive is constructed.
`String` | `getBaseName()` Returns the base name of the archive.
`String` | `getClassifier()` Returns the classifier part of the archive name, if any.
`File` | `getDestinationDir()` Returns the directory where the archive is generated into.
`String` | `getExtension()` Returns the extension part of the archive name.
`String` | `getVersion()` Returns the version part of the archive name, if any.
`AbstractArchiveTask` | `into(Object destPath)` Specifies the destination directory *inside* the archive for the files.
`AbstractArchiveTask` | `into(Object destPath, Closure configureClosure)` Creates and configures a child `CopySpec` with a destination directory *inside* the archive for the files.
`void` | `setAppendix(String appendix)`
`void` | `setArchiveName(String name)` Sets the archive name.
`void` | `setBaseName(String baseName)`
`void` | `setClassifier(String classifier)`
`void` | `setDestinationDir(File destinationDir)`
`void` | `setExtension(String extension)`
`void` | `setVersion(String version)`

Methods inherited from class AbstractCopyTask
configureRootSpec, copy, eachFile, eachFile, exclude, exclude, exclude, exclude, expand, filter, filter, filter, from, from, getCopyAction, getDefaultSource, getDirMode, getExcludes, getFileMode, getIncludeEmptyDirs, getIncludes, getMainSpec, getRootSpec, getSource, include, include, include, include, into, into, isCaseSensitive, rename, rename, rename, setCaseSensitive, setDirMode, setExcludes, setFileMode, setIncludeEmptyDirs, setIncludes, with

Method Detail

### getAppendix

    public String getAppendix()

  Returns the appendix part of the archive name, if any.
  Returns:
    the appendix. May be null

### getArchiveName

    public String getArchiveName()

  Returns the archive name. If the name has not been explicitly set, the pattern for the name is: `[baseName]-[appendix]-[version]-[classifier].[extension]`
  Returns:
    the archive name.

### getArchivePath

    @OutputFile
    public File getArchivePath()

  The path where the archive is constructed. The path is simply the `destinationDir` plus the `archiveName`.
  Returns:
    a File object with the path to the archive

### getBaseName

    public String getBaseName()

  Returns the base name of the archive.
  Returns:
    the base name.

### getClassifier

    public String getClassifier()

  Returns the classifier part of the archive name, if any.
  Returns:
    The classifier. May be null.

### getDestinationDir

    public File getDestinationDir()

  Returns the directory where the archive is generated into.
  Returns:
    the directory

### getExtension

    public String getExtension()

  Returns the extension part of the archive name.

### getVersion

    public String getVersion()

  Returns the version part of the archive name, if any.
  Returns:
    the version. May be null.

### into

    public AbstractArchiveTask into(Object destPath)

  Specifies the destination directory *inside* the archive for the files. The destination is evaluated as for Project.file. Don't mix it up with getDestinationDir() which specifies the output directory for the archive.
  Parameters:
    `destPath` - destination directory *inside* the archive for the files
  Returns:
    this

### into

    public AbstractArchiveTask into(Object destPath, Closure configureClosure)

  Creates and configures a child `CopySpec` with a destination directory *inside* the archive for the files. The destination is evaluated as for Project.file. Don't mix it up with getDestinationDir() which specifies the output directory for the archive.
  Parameters:
    `destPath` - destination directory *inside* the archive for the files
    `configureClosure` - The closure to use to configure the child `CopySpec`.
  Returns:
    this

### setAppendix

    public void setAppendix(String appendix)

### setArchiveName

    public void setArchiveName(String name)

  Sets the archive name.
  Parameters:
    `name` - the archive name.

### setBaseName

    public void setBaseName(String baseName)

### setClassifier

    public void setClassifier(String classifier)

### setDestinationDir

    public void setDestinationDir(File destinationDir)

### setExtension

    public void setExtension(String extension)

### setVersion

    public void setVersion(String version)

Gradle API 1.1-rc-1